GCLOUD_CONTAINER_CLUSTERS_CREATE(1)

NAME

gcloud container clusters create - create a cluster for running containers

SYNOPSIS

gcloud container clusters create NAME [--cluster-ipv4-cidr CLUSTER_IPV4_CIDR] [--disk-size DISK_SIZE] [--enable-cloud-logging] [--enable-cloud-monitoring] [--machine-type MACHINE_TYPE, -m MACHINE_TYPE] [--network NETWORK] [--num-nodes NUM_NODES; default="3"] [--password PASSWORD] [--scopes SCOPE,[SCOPE,...]] [--subnetwork SUBNETWORK] [--username USERNAME, -u USERNAME; default="admin"] [--wait] [--zone ZONE, -z ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
Create a cluster for running containers.

POSITIONAL ARGUMENTS
NAME
    The name of this cluster.

FLAGS
--cluster-ipv4-cidr CLUSTER_IPV4_CIDR
    The IP address range for the pods in this cluster in CIDR notation (e.g. 10.0.0.0/14). Defaults to server-specified
--disk-size DISK_SIZE
    Size in GB for node VM boot disks. Defaults to 100GB.
--enable-cloud-logging
    Automatically send logs from the cluster to the Google Cloud Logging API. Enabled by default, use --no-enable-cloud-logging to disable.
--enable-cloud-monitoring
    Automatically send metrics from pods in the cluster to the Google Cloud Monitoring API. VM metrics will be collected by Google Compute Engine regardless of this setting. Enabled by default, use --no-enable-cloud-monitoring to disable.
--machine-type MACHINE_TYPE, -m MACHINE_TYPE
    The type of machine to use for workers. Defaults to server-specified
--network NETWORK
    The Compute Engine Network that the cluster will connect to. Google Container Engine will use this network when creating routes and firewalls for the clusters. Defaults to the 'default' network.
--num-nodes NUM_NODES; default="3"
    The number of nodes in the cluster.
--password PASSWORD
    The password to use for cluster auth. Defaults to a randomly-generated string.
--scopes SCOPE,[SCOPE,...]
    Specifies scopes for the node instances. The project's default service account is used. Examples:
        $ gcloud container clusters create example-cluster \
            --scopes https://www.googleapis.com/auth/devstorage.read_only
        $ gcloud container clusters create example-cluster \
            --scopes bigquery,storage-rw,compute-ro
    Multiple SCOPEs can specified, separated by commas. The scopes necessary for the cluster to function properly (compute-rw, storage-ro), are always added, even if not explicitly specified. SCOPE can be either the full URI of the scope or an alias. Available aliases are: Alias,URI bigquery,https://www.googleapis.com/auth/bigquery cloud-platform,https://www.googleapis.com/auth/cloud-platform compute-ro,https://www.googleapis.com/auth/compute.readonly compute-rw,https://www.googleapis.com/auth/compute datastore,https://www.googleapis.com/auth/datastore logging-write,https://www.googleapis.com/auth/logging.write monitoring,https://www.googleapis.com/auth/monitoring monitoring-write,https://www.googleapis.com/auth/monitoring.write sql,https://www.googleapis.com/auth/sqlservice sql-admin,https://www.googleapis.com/auth/sqlservice.admin storage-full,https://www.googleapis.com/auth/devstorage.full_control storage-ro,https://www.googleapis.com/auth/devstorage.read_only storage-rw,https://www.googleapis.com/auth/devstorage.read_write taskqueue,https://www.googleapis.com/auth/taskqueue useraccounts-ro,https://www.googleapis.com/auth/cloud.useraccounts.readonly useraccounts-rw,https://www.googleapis.com/auth/cloud.useraccounts userinfo-email,https://www.googleapis.com/auth/userinfo.email
--subnetwork SUBNETWORK
    The name of the Google Compute Engine subnetwork(https://cloud.google.com/compute/docs/subnetworks) to which the cluster is connected. If specified, the cluster's network must be a "custom subnet" network. Specification of subnetworks is an alpha feature, and requires that the Google Compute Engine alpha API be enabled.
--username USERNAME, -u USERNAME; default="admin"
    The user name to use for cluster auth.
--wait
    Poll the operation for completion after issuing a create request. Enabled by default, use --no-wait to disable.
--zone ZONE, -z ZONE
    The compute zone (e.g. us-central1-a) for the cluster

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.